Achievement
Retrieve Audit Log.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/audit/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"hasError": false,
"statusCode": 200,
"message": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": [
{
"id": "text",
"achievement_id": "text",
"achievement_name": "text",
"action": "text",
"rule_version": 1,
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"performed_by": "text",
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}
}Create Bulk Claim Task Achievement.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/bulk-claim/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Create Achievement Issue Bulk.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/bulk-issue/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Achievement Bulk Import Template.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/bulk-issue/template/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Create Claim Achievement.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/claim/{achievement_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Create Achievement Create.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/create/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Debug Achievement.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/debug/{muid}/{achievement_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Delete Achievement Delete.
falseExample: false200Example: 200DELETE /api/v1/dashboard/achievement/delete/{achievement_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Eligible Achievements.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/eligible/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Create User Achievements Issue.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/issue-vc/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Achievement Log List.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/issued-log/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Achievement List. Pass ?user_id= to include a 'has_achievement' flag per item.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/list/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve User Achievements List.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/list/user/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"user_id": "text",
"achievement": {
"id": "text",
"achievement_name": "text",
"description": "text",
"icon": "text",
"icon_url": "text",
"level_id": "text",
"tags": null,
"template_id": "text"
},
"is_issued": true,
"vc_url": "text"
}
}Create Manual Issue.
Achievement manually issued to user
No content
POST /api/v1/dashboard/achievement/manual-issue/ HTTP/1.1
Accept: */*
Achievement manually issued to user
No content
Retrieve User Progress.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/progress/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"hasError": false,
"statusCode": 200,
"message": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": [
{
"achievement_id": "text",
"achievement_name": "text",
"eligible": true,
"claimed": true,
"reason": "text",
"progress": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Create Revoke Achievement.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/revoke/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Achievement Rule List.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/rules/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Achievement Rule Detail.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/rules/{rule_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Update a rule's rule_type and/or conditions. Works for both active and deactivated rules. Version and achievement association are immutable.
falseExample: false200Example: 200PATCH /api/v1/dashboard/achievement/rules/{rule_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Activate an Achievement Rule.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/rules/{rule_id}/activate/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Create Achievement Rule Deactivate.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/rules/{rule_id}/deactivate/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Create Achievement Rule Create.
falseExample: false200Example: 200POST /api/v1/dashboard/achievement/rules/create/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Retrieve Simulate Rules.
falseExample: false200Example: 200GET /api/v1/dashboard/achievement/simulate/{muid}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"hasError": false,
"statusCode": 200,
"message": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"response": [
{
"achievement_id": "text",
"achievement_name": "text",
"eligible": true,
"claimed": true,
"reason": "text",
"progress": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}
}Update Achievement Update.
falseExample: false200Example: 200PUT /api/v1/dashboard/achievement/update/{achievement_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"icon_url": "text",
"has_achievement": "text",
"name": "text",
"description": "text",
"icon": "text",
"has_vc": true,
"tags": null,
"type": "text",
"template_id": "text",
"updated_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"level_id": "text",
"updated_by": "text",
"created_by": "text"
}
}Last updated
Was this helpful?

